;;; -*- Lisp -*-
(in-package :cl-user)

;; This file is for the sake of building systems that depend on cl-launch,
;; and/or binaries from implementations that link instead of dump (i.e. ECL).

;; Earlier versions of cl-launch (up to 2.23) used to load cl-launch eagerly:
;;	#-cl-launch (load (make-pathname :name "launcher" :type "lisp" :defaults *load-truename*))
;; This allowed systems that depended from cl-launch to benefit from
;; cl-launch's FASL redirection when loaded from the REPL or SLIME (usually
;; having cl-launch come first in the system traversal so all FASLs would be
;; covered). However, people who build my way either will use cl-launch from
;; the shell or will now use XCVB, and people who don't build my way often
;; already have set up ASDF-BINARY-LOCATIONS for the purpose of FASL
;; redirection. And so I've commented out the loading above.
;; If you want to use cl-launch's redirection while using the REPL or SLIME,
;; you can manually load cl-launch before you load any ASDF system, with e.g.
;;     (asdf:oos 'asdf:load-source-op :cl-launch)

(asdf:defsystem :cl-launch
  :components ((:file "launcher")))
